package it.zanichelli.android.esercizio17;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.TextView;

public class ResultActivity extends AppCompatActivity {

  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.activity_result);

    Intent data = getIntent();

    double in = data.getDoubleExtra("In", 0);
    double out = data.getDoubleExtra("Out", 0);

    boolean km = data.getBooleanExtra("KmOrMiles", true);

    TextView textView = (TextView) findViewById(R.id.from);

    String text = Double.toString(in) + " ";
    if(km)
      text+=getString(R.string.km);
    else
      text+=getString(R.string.miles);

    textView.setText(text);

    textView = (TextView) findViewById(R.id.destination);

    text = Double.toString(out) + " ";

    if(!km)
      text+=getString(R.string.km);
    else
      text+=getString(R.string.miles);

    textView.setText(text);
  }

  @Override
  public void onBackPressed() {
    finish();
  }
}
