package com.zanichelli.android.unbottone;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Gravity;
import android.view.View;
import android.widget.*;

public class MainActivity extends AppCompatActivity {

  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    Button button = new Button(this);
    button.setText(getString(R.string.pressme));
    button.setOnClickListener(new View.OnClickListener() {
      @Override
      public void onClick(View widget) {
        Toast.makeText(getApplicationContext(),
          getString(R.string.youpressed),
          Toast.LENGTH_LONG).show();
      }
    });
    RelativeLayout layout = new RelativeLayout(this);
    layout.addView(button);
    layout.setGravity(Gravity.CENTER);
    setContentView(layout);
  }

}
