package com.zanichelli.android.service;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.widget.Toast;

public class ExampleService extends Service {
  // indica se il servizio è attivo
  public static boolean RUN = false;

  // costruttore
  public ExampleService() {
  }

  // Collegamento con altre APP non necessario
  @Override
  public IBinder onBind(Intent intent) {
    throw new UnsupportedOperationException("Not supported");
  }

  @Override
  public int onStartCommand(Intent intent, int flags, int startId) {
    super.onStartCommand(intent, flags, startId);
    Toast.makeText(this, "Servizio avviato.", Toast.LENGTH_LONG).show();

    // qui deve essere avviato il thread che implementa il servizio in background

    RUN = true;
    return Service.START_STICKY;
  }

  @Override
  public void onDestroy() {
    super.onDestroy();
    Toast.makeText(this, "Servizio arrestato.", Toast.LENGTH_LONG).show();
    // qui deve essere terminato il thread che implementa il servizio in background
    RUN = false;
  }
}
