package com.zanichelli.android.trebottoni;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {
  private static final String base = "Grazie per avermi premuto! -Bottone";

  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.activity_main);

    Button first = (Button) findViewById(R.id.first);
    first.setOnClickListener(this);
    Button second = (Button) findViewById(R.id.second);
    second.setOnClickListener(this);
    Button third = (Button) findViewById(R.id.third);
    third.setOnClickListener(this);
  }

  @Override
  public void onClick(View button) {
    String number = null;
    switch (button.getId()) {
      case R.id.first:
        number = "1-";
        break;
      case R.id.second:
        number = "2-";
        break;
      case R.id.third:
        number = "3-";
        break;
    }

    Toast.makeText(getApplicationContext(),
      base + number, Toast.LENGTH_LONG).show();
  }
}

